sane-teco3(5)

BEZEICHNUNG
sane-teco3 - SANE-Backend für Scanner von TECO/RELISYS

BESCHREIBUNG
Die Bibliothek sane-teco3 implementiert ein SANE-(Scanner Access Now Easy) Backend zum Zugriff auf SCSI-Flachbett-Scanner von TECO. Dieses Backend sollte als Software im Alpha-Stadium betrachtet werden! TECO-Scanner werden unter verschiedenen Marken wie RELYSIS, PIOTECH und TRUST verkauft. Dieses Backend kann Ihren Scanner unterstützen oder auch nicht.

Die folgenden Scanner sollten mit diesem Backend funktionieren:

      Marke Modell                 TECO-Modell  Status
      ---------------------------  ----------  ----------
      Relisys Scorpio                VM3552     getestet
      Plustek OpticPro 2400SP        VM3552     nicht getestet
      PIOTECH Splendeur 3024         VM3552     getestet
      Trust Imagery 2400 SP          VM3552     getestet
      Trust Imagery 4800 SP+         VM3552     getestet
      Trust Imagery 9600 SP          VM3552     nicht getestet
Die TECO-Marken-Modell-Nummer kann normalerweise auf der Rückseite des Scanners gefunden werden. Sie ist auch Teil der FCC-Kennung (FCC-ID). Die vom Backend unterstützten Optionen können entweder in der Befehlszeile an Programme wie scanimage(1) übergeben oder über Bedienelemente der grafischen Benutzeroberoberfläche in xscanimage(1) oder xsane(1) gesteuert werden.
Falls Sie mit einem hier nicht aufgeführten Scanner Erfolg haben oder falls Sie merkwürdiges Verhalten beobachten, berichten Sie das bitte (auf Englisch) an den Backend-Betreuer oder an die SANE-Mailingliste.

OPTIONEN
Gültige Befehlszeilenoptionen und deren Syntax können Sie mit folgendem Befehl auflisten:
    scanimage --help -d teco3

Scanmodus

--mode Black & White|Grayscale|Color
    wählt den grundlegenden Betriebsmodus des Scanners. Der Modus Black & White ist nur schwarz und weiß (1 bit). Grayscale wird 256 Graustufen erzeugen (8 bit). Color erstellt ein 24-bit-Farbbild.

--resolution 1..1200
    wählt die Scan-Auflösung. Der Scanner beherrscht alle Auflösungen zwischen 1 und 1200, in Stufen von 1.

--preview
    fordert einen Vorschau-Scan an. Die für diesen Scan verwendete Auflösung ist 22 DPI und der Scan-Bereich ist der größte erlaubte. Der Scan-Modus wird vom Anwender ausgewählt. Die Vorgabe ist »no«.

Geometrieoptionen

-l -t -x -y
    steuert den Scan-Bereich: -l setzt die obere linke X-Koordinate, -t die obere linke Y-Koordinate, -x wählt die Breite und -y die Höhe des Scan-Bereichs. Alle Parameter werden standardmäßig in Millimeter angegeben.

OPTIONEN NUR FÜR DEN FARBMODUS

--custom-gamma
    erlaubt dem Benutzer, eine Gamma-Tabelle anzugeben (siehe die nächsten drei Parameter)

--red-gamma-table
    kann zum Herunterladen einer benutzerdefinierten Gamma-Tabelle für den Rot-Kanal verwendet werden. Die Tabelle muss 1024 byte lang sein.

--green-gamma-table
    kann zum Herunterladen einer benutzerdefinierten Gamma-Tabelle für den Grün-Kanal verwendet werden. Die Tabelle muss 1024 byte lang sein.

--blue-gamma-table
    kann zum Herunterladen einer benutzerdefinierten Gamma-Tabelle für den Blau-Kanal verwendet werden. Die Tabelle muss 1024 byte lang sein.

KONFIGURATIONSDATEI
Die Konfigurationsdatei /etc/sane.d/teco3.conf unterstützt nur einen Eintrag: den Namen des zu verwendenden Geräts (zum Beispiel /dev/scanner).

DATEIEN

/usr/lib/sane/libsane-teco3.a
    Die statische Bibliothek, die dieses Backend implementiert.

/usr/lib/sane/libsane-teco3.so
    Die dynamische Bibliothek, die dieses Backend implementiert (auf Systemen verfügbar, die dynamisches Laden unterstützen).

UMGEBUNGSVARIABLEN

SANE_DEBUG_TECO3
    Falls die Bibliothek mit Debug-Unterstützung kompiliert wurde, steuert diese Umgebungsvariable die Debug-Stufe für dieses Backend. Beispielsweise bewirkt ein Wert von 128 die Anzeige sämtlicher Debug-Ausgaben. Kleinere Werte reduzieren die Ausführlichkeit.

EINSCHRÄNKUNGEN
Der TWAIN-Treiber für Windows verfügt über weitaus mehr Optionen als dieses SANE-Backend. Allerdings sind diese nur softwareseitige Anpassungen. Dieses Backend implementiert nur das, was der Scanner unterstützen kann.

FEHLER
Nicht viele.

SIEHE AUCH
sane-scsi(5), scanimage(1), xscanimage(1), xsane(1), sane(7)

AUTOR

Das Paket wird aktiv von Frank Zago betreut.
    http://www.zago.net/sane/#teco3

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.